Package javax.servlet.http

## Interface HttpSessionListener

All Superinterfaces:
  `java.util.EventListener`

    public interface HttpSessionListener
    extends java.util.EventListener

Implementations of this interface are notified of changes to the list of active sessions in a web application. To receive notification events, the implementation class must be configured in the deployment descriptor for the web application.

Since:
  v 2.3
See Also:
  `HttpSessionEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `sessionCreated​(HttpSessionEvent se)` Notification that a session was created.
`void` `sessionDestroyed​(HttpSessionEvent se)` Notification that a session is about to be invalidated.

### Method Detail

#### sessionCreated

    void sessionCreated​(HttpSessionEvent se)

Notification that a session was created.

Parameters:
  `se` - the notification event

#### sessionDestroyed

    void sessionDestroyed​(HttpSessionEvent se)

Notification that a session is about to be invalidated.

Parameters:
  `se` - the notification event